Composer出现 SSL certificate problem: unable to get local issuer certificate 报错的解决方法

Composer出现 SSL certificate problem: unable to get local issuer certificate 报错的解决方法

Composer出现crul SSL报错的问题是没有安装CA证书导致的!!!
错误信息如下:
[Composer\Downloader\TransportException]                                                                                                   
  curl error 60 while downloading https://repo.packagist.org/packages.json: SSL certificate problem: unable to get local issuer certificate  

Composer出现 SSL certificate problem: unable to get local issuer certificate 报错的解决方法
 

第一步先把证书下载回来,有两个下载地址,一个是官网的,一个是我上传到csdn的,官网的很不稳定,有时候下载不了:
官网下载地址:https://curl.se/ca/cacert.pem

CSDN下载地址:https://download.csdn.net/download/ioriliao/87261624?spm=1001.2014.3001.5503

重要提示!要记得下载在哪个目录,我下载后把这个文件存在这个目录了:/etc/pki/tls/certs/

第二步编辑php.ini文件
如果你不知道php.ini保存在哪,那么通过下面命令可以搜索到:
find / -name php.ini
在我的服务器上的搜索结果是:
/usr/local/php/etc/php.ini

Composer出现 SSL certificate problem: unable to get local issuer certificate 报错的解决方法

接着我们打开这个文件:
然后找到这一行:
;openssl.cafile=
把前面的;号去掉,因为;在.ini文件中表示注释
然后我们把刚才下载到的文件加到openssl.cafile=的后面,如下所示:
openssl.cafile=/etc/pki/tls/certs/cacert.pem

Composer出现 SSL certificate problem: unable to get local issuer certificate 报错的解决方法

第三步使用Composer安装的库
然后保存这个设置就可以正常使用Composer了。
通过Composer安装的库都会在vendor目录下,记得要先包含autoload.php进来先才可以使用use的,示例代码如下:
require 'vendor\\autoload.php';  
use AlibabaCloud\Client\AlibabaCloud;

注意:如果安装错了库的版本,先删除composer.json和composer.lock这两个文件再重新安装。

                       

点击阅读全文

上一篇 2023年 5月 27日 am10:45
下一篇 2023年 5月 27日 am10:45